;;; ***********************************************************************
;;; * ADC-SPECIAL dient dem Verffentlichen von Unternehmensstandards und *
;;; * deren einfacher Verwendung ber die Funktionen des DesignCenters.   *
;;; * D.h.: Alle wichtigen Definitionen wie Layouts, Layer, Bem.stile usw.*
;;; * sind in EINER DWG definiert. Der Zugriff auf die jeweiligen         *
;;; * Ressourcen wird mittels "Sprungbefehlen" des DesignCenters          *
;;; * realisiert. Das DesignCenter geht mit einem definierten Ziel auf    *
;;; * und von dort kann der Sachbearbeiter die gewnschten "Dinge" mittels*
;;; * Drag & Drop in seine aktuelle Zeichnung ziehen.                     *
;;; *                                                                     *
;;; * Written by Marc Scherer in 2002                                     *
;;; *                                                                     *
;;; * Anregungen/Kritik an "marc.scherer@zvo.com"                         *
;;; *                                                                     *
;;; * Dieses Programm folgt der "Better than Nothing" Philosophie des     *
;;; * Leonid Nemirovsky: (http://home.pacifier.com/~nemi/)                *
;;; * Zitat:                                                              *
;;; * The AutoLISP programs you are about to check - are NOT shareware    *
;;; * or freeware. They are BTN - Better Than Nothing Software.           *
;;; * You can freely use them in any way you choose.                      *
;;; * Just remember one thing.......                                      *
;;; * If they do not perform the way you expect -                         *
;;; *                                it is still BETTER THAN NOTHING !!!  *
;;; * I wrote those programs for my every day work.                       *
;;; * Some of them are more useful, some - are SO SO.                     *
;;; * ... Good Luck !                                                     *
;;; ***********************************************************************

(defun ADC (key / CHK FND LOADED PGM TARGET BEST-DIR SPLITTED)
  (setq splitted "C:\\ADC-Special\\")
  (if (= (getvar "adcstate") 0)
    (command "adcenter")
  ) ;_ end of if
  (cond
    ((= KEY 1)
     (setq TARGET (strcat splitted "_layouts.dwg\\layouts"))
    )
    ((= KEY 2)
     (setq TARGET (strcat splitted "_layouts.dwg\\blcke\\"))
    )
    ((= KEY 3)
     (setq TARGET (strcat splitted "_layouts.dwg\\bemstile"))
    )
    ((= KEY 4) (setq TARGET splitted))
    ((= KEY 5) (setq TARGET (GET-PATH key)))
    ((= KEY 6) (setq TARGET (GET-PATH key)))
    (t (setq TARGET "c:\\"))
  ) ;_ end of cond
  (command "_.adcnavigate" TARGET)
  (princ "\nOk, erledigt. Weiter im DesignCenter.")
  (setq KEY NIL)
  (princ)
) ;_ end of defun


;;; Funktion ermittelt den Pfad fr die aktuelle dwg in Abhngigkeit vom
;;; bermittelten Key ( 5 = aktueller Pfad / 6 = aktuelle Datei)
;;; Wenn Datei nicht benannt, wird stattdessen nur der Inhalt von
;;; dwgprefix zurckgegeben!!!
(defun GET-PATH (KEY / RETVAL)
  (cond
    ((= KEY 5) (setq RETVAL (getvar "dwgprefix"))) ;_ gib's immer auch wenn nicht Titled !
    ((= KEY 6)
     (if (= (getvar "dwgtitled") 0) ;_ dwg hat noch keinen Namen !
       (setq RETVAL (getvar "dwgprefix"))
       (setq RETVAL (strcat (getvar "dwgprefix") (getvar "dwgname")))
     ) ;_ end of if
    )
    (t (setq RETVAL "c:\\"))
  ) ;_ end of cond
  RETVAL
) ;_ end of defun

(princ)
